Subject: Re: bug#57781: missing wallpaper command

From: Felix <[email-masked]>
Date: Thu, 15 Sep 2022 00:51:39 +0200

Stefan Kangas <[email-masked]> writes:

> Sean Whitton <[email-masked]> writes:
>
>>> To test for Wayland, it only checks if $WAYLAND_DISPLAY is set.
>>> We could do something more fancy if needed, possibly involving
>>> loginctl.
>>
>> Since it's protocol-dependent, I don't know if it will work on anything
>> other than wlroots-based compositors.  Before relying solely on
>> WAYLAND_DISPLAY, perhaps we should also check it works with GNOME?
>
> I need help here, as I don't have access to Wayland.
>
> Would you be willing to help test it, and/or make concrete suggestions
> for how to do better?  I'd ideally need someone to tell me which
> environment variables or commands to run, and which values to expect,
> but any information you could provide would help.

I'm switching back and forth from Xorg to wayland and I'm
tinkering with different desktops/WMs anyways.
I would be happy to help!
I will try wallpaper.el with gnome tomorrow.
If there are any things you want me
to test, just let me know.